MWAWGraphicStyle Class Reference documentation

Classes | Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Friends | List of all members
MWAWGraphicStyle Class Reference

a structure used to define a picture style More...

`#include <MWAWGraphicStyle.hxx>`

Inheritance diagram for MWAWGraphicStyle:

## Classes
struct | Arrow
| a structure used to define an arrow More...
struct | GradientStop
| a structure used to define the gradient limit in MWAWGraphicStyle More...
struct | Pattern
| a basic pattern used in a MWAWGraphicStyle: More...

## Public Types
enum | LineCap { C_Butt, C_Square, C_Round }
| an enum used to define the basic line cap More...
enum | LineJoin { J_Miter, J_Round, J_Bevel }
| an enum used to define the basic line join More...
enum | GradientType { G_None, G_Axial, G_Linear, G_Radial, G_Rectangular, G_Square, G_Ellipsoid }
| an enum used to define the gradient type More...

## Public Member Functions
| MWAWGraphicStyle ()
| constructor More...
virtual | ~MWAWGraphicStyle ()
| virtual destructor More...
bool | hasLine () const
| returns true if the border is defined More...
void | setSurfaceColor (MWAWColor const &col, float opacity=1)
| set the surface color More...
bool | hasSurfaceColor () const
| returns true if the surface is defined More...
void | setPattern (Pattern const &pat, float opacity=1)
| set the pattern More...
bool | hasPattern () const
| returns true if the pattern is defined More...
bool | hasGradient (bool complex=false) const
| returns true if the gradient is defined More...
bool | hasSurface () const
| returns true if the interior surface is defined More...
void | setBackgroundColor (MWAWColor const &col, float opacity=1)
| set the background color More...
bool | hasBackgroundColor () const
| returns true if the background is defined More...
void | setShadowColor (MWAWColor const &col, float opacity=1)
| set the shadow color More...
bool | hasShadow () const
| returns true if the shadow is defined More...
bool | hasBorders () const
| return true if the frame has some border More...
bool | hasSameBorders () const
| return true if the frame has some border More...
std::vector< MWAWBorder > const & | borders () const
| return the frame border: libmwaw::Left | ... More...
void | resetBorders ()
| reset the border More...
void | setBorders (int wh, MWAWBorder const &border)
| sets the cell border: wh=libmwaw::LeftBit|... More...
void | addTo (librevenge::RVNGPropertyList &pList, bool only1d=false) const
| add all the parameters to the propList excepted the frame parameter: the background and the borders More...
void | addFrameTo (librevenge::RVNGPropertyList &pList) const
| add all the frame parameters to propList: the background and the borders More...
int | cmp (MWAWGraphicStyle const &a) const
| compare two styles More...

## Static Public Member Functions
static MWAWGraphicStyle | emptyStyle ()
| returns an empty style. More...

## Public Attributes
std::vector< float > | m_lineDashWidth
| the dash array: a sequence of (fullsize, emptysize) More...
float | m_lineWidth
| the linewidth More...
LineCap | m_lineCap
| the line cap More...
LineJoin | m_lineJoin
| the line join More...
float | m_lineOpacity
| the line opacity: 0=transparent More...
MWAWColor | m_lineColor
| the line color More...
MWAWColor | m_surfaceColor
| the surface color More...
float | m_surfaceOpacity
| true if the surface has some color More...
MWAWColor | m_shadowColor
| the shadow color More...
float | m_shadowOpacity
| true if the shadow has some color More...
MWAWVec2f | m_shadowOffset
| the shadow offset More...
GradientType | m_gradientType
| the gradient type More...
Pattern | m_pattern
| the pattern if it exists More...
std::vector< GradientStop > | m_gradientStopList
| the list of gradient limits More...
float | m_gradientAngle
| the gradient angle More...
float | m_gradientBorder
| the gradient border opacity More...
MWAWVec2f | m_gradientPercentCenter
| the gradient center More...
float | m_gradientRadius
| the gradient radius More...
MWAWColor | m_backgroundColor
| the background color More...
float | m_backgroundOpacity
| true if the background has some color More...
float | m_rotate
| the rotation More...
std::vector< MWAWBorder > | m_bordersList
| the borders MWAWBorder::Pos (for a frame) More...
std::string | m_frameName
| the frame name More...
std::string | m_frameNextName
| the frame next name (if there is a link) More...
Arrow | m_arrows [2]
| the two arrows corresponding to start and end extremity More...
bool | m_flip [2]
| two bool to indicated we need to flip the shape or not More...
bool | m_fillRuleEvenOdd
| true if the fill rule is evenod More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, MWAWGraphicStyle const &st)
| a print operator More...

## Detailed Description

a structure used to define a picture style

Note
  in order to define the internal surface style, first it looks for a gradient, if so it uses it. Then it looks for a pattern. Finally if it found nothing, it uses surfaceColor and surfaceOpacity.

## Member Enumeration Documentation

## ◆ GradientType

enum MWAWGraphicStyle::GradientType

an enum used to define the gradient type

Enumerator
G_None |
G_Axial |
G_Linear |
G_Radial |
G_Rectangular |
G_Square |
G_Ellipsoid |

## ◆ LineCap

enum MWAWGraphicStyle::LineCap

an enum used to define the basic line cap

Enumerator
C_Butt |
C_Square |
C_Round |

## ◆ LineJoin

enum MWAWGraphicStyle::LineJoin

an enum used to define the basic line join

Enumerator
J_Miter |
J_Round |
J_Bevel |

## Constructor & Destructor Documentation

## ◆ MWAWGraphicStyle()

MWAWGraphicStyle::MWAWGraphicStyle | ( |  | ) |
| inline

constructor

## ◆ ~MWAWGraphicStyle()

MWAWGraphicStyle::~MWAWGraphicStyle | ( |  | ) |
| virtual

virtual destructor

Referenced by emptyStyle().

## Member Function Documentation

## ◆ addFrameTo()

void MWAWGraphicStyle::addFrameTo | ( | librevenge::RVNGPropertyList & | pList | ) | const

add all the frame parameters to propList: the background and the borders

Referenced by MWAWTextListener::openFrame(), MWAWSpreadsheetListener::openFrame(), and resetBorders().

## ◆ addTo()

void MWAWGraphicStyle::addTo | ( | librevenge::RVNGPropertyList & | pList,
|  | bool | only1d = `false`
| ) |  | const

add all the parameters to the propList excepted the frame parameter: the background and the borders

Referenced by MWAWPresentationListener::_handleFrameParameters(), MWAWGraphicListener::_handleFrameParameters(), MWAWChart::Axis::addStyleTo(), MWAWChart::Legend::addStyleTo(), MWAWChart::Series::addStyleTo(), MWAWChart::TextZone::addStyleTo(), MWAWPresentationListener::insertPicture(), MWAWGraphicListener::insertPicture(), MWAWTextListener::insertShape(), MWAWPresentationListener::insertShape(), MWAWGraphicListener::insertShape(), MWAWSpreadsheetListener::insertShape(), and HanMacWrdJGraph::sendTextbox().

## ◆ borders()

std::vector<MWAWBorder> const& MWAWGraphicStyle::borders | ( |  | ) | const
| inline

return the frame border: libmwaw::Left | ...

## ◆ cmp()

int MWAWGraphicStyle::cmp | ( | MWAWGraphicStyle const & | a | ) | const

compare two styles

Referenced by resetBorders().

## ◆ emptyStyle()

static MWAWGraphicStyle MWAWGraphicStyle::emptyStyle | ( |  | ) |
| inlinestatic

returns an empty style.

Can be used to initialize a default frame style...

Referenced by MWAWTextListener::canWriteText(), MWAWPresentationListener::closeMasterPage(), MWAWGraphicListener::closeMasterPage(), MWAWTextListener::getType(), MWAWSpreadsheetListener::getType(), MWAWPresentationListener::handleSubDocument(), MWAWGraphicListener::handleSubDocument(), MWAWPresentationListener::insertFooter(), MWAWGraphicListener::insertFooter(), MWAWPresentationListener::insertHeader(), MWAWGraphicListener::insertHeader(), MWAWPresentationListener::insertSlideNote(), MWAWListener::insertTextBoxInShape(), MWAWPresentationListener::openGroup(), MWAWGraphicListener::openGroup(), MWAWPresentationListener::openTable(), MWAWGraphicListener::openTable(), CricketDrawParser::send(), RagTime5Graph::send(), CricketDrawParser::sendBitmap(), BeagleWksDBParser::sendFrame(), BeagleWksSSParser::sendFrame(), BeagleWksBMParser::sendFrame(), BeagleWksParser::sendFrame(), BeagleWksDRParser::sendFrame(), PowerPoint1Parser::sendFrame(), ClarisWksGraph::sendGroup(), ClarisWksGraph::sendGroupChild(), FreeHandParser::sendPicture(), SuperPaintParser::sendPictures(), and FreeHandParser::sendTextbox().

## ◆ hasBackgroundColor()

bool MWAWGraphicStyle::hasBackgroundColor | ( |  | ) | const
| inline

returns true if the background is defined

## ◆ hasBorders()

bool MWAWGraphicStyle::hasBorders | ( |  | ) | const
| inline

return true if the frame has some border

Referenced by addFrameTo(), and operator<<().

## ◆ hasGradient()

bool MWAWGraphicStyle::hasGradient | ( | bool | complex = `false` | ) | const
| inline

returns true if the gradient is defined

Referenced by MWAWPresentationListener::_handleFrameParameters(), MWAWGraphicListener::_handleFrameParameters(), addTo(), hasSurface(), operator<<(), and GreatWksGraph::sendTextbox().

## ◆ hasLine()

bool MWAWGraphicStyle::hasLine | ( |  | ) | const
| inline

returns true if the border is defined

Referenced by addTo(), HanMacWrdKGraphInternal::TextBox::addTo(), MWAWGraphicShape::getBdBox(), MacDraft5Parser::readObject(), RagTimeParser::send(), RagTime5Graph::send(), RagTimeParser::sendPicture(), and ClarisWksTableInternal::TableCell::update().

## ◆ hasPattern()

bool MWAWGraphicStyle::hasPattern | ( |  | ) | const
| inline

returns true if the pattern is defined

Referenced by addTo(), hasSurface(), operator<<(), HanMacWrdKGraph::sendFrame(), and GreatWksGraph::sendTextbox().

## ◆ hasSameBorders()

bool MWAWGraphicStyle::hasSameBorders | ( |  | ) | const
| inline

return true if the frame has some border

Referenced by addFrameTo().

## ◆ hasShadow()

bool MWAWGraphicStyle::hasShadow | ( |  | ) | const
| inline

returns true if the shadow is defined

Referenced by addFrameTo(), addTo(), and operator<<().

## ◆ hasSurface()

bool MWAWGraphicStyle::hasSurface | ( |  | ) | const
| inline

returns true if the interior surface is defined

Referenced by addTo(), MWAWTextListener::insertShape(), MWAWPresentationListener::insertShape(), MWAWGraphicListener::insertShape(), MWAWSpreadsheetListener::insertShape(), and MacDraft5Parser::readObject().

## ◆ hasSurfaceColor()

bool MWAWGraphicStyle::hasSurfaceColor | ( |  | ) | const
| inline

returns true if the surface is defined

Referenced by HanMacWrdKGraphInternal::TextBox::addTo(), ClarisDrawGraph::getSurfaceColor(), ClarisWksGraph::getSurfaceColor(), hasSurface(), operator<<(), ClarisWksDbaseContent::readRecordSS(), ClarisWksTable::readTableCells(), HanMacWrdJGraph::sendComment(), and GreatWksGraph::sendTextbox().

## ◆ resetBorders()

void MWAWGraphicStyle::resetBorders | ( |  | ) |
| inline

reset the border

Referenced by PowerPoint1Parser::readFramesList().

## ◆ setBackgroundColor()

void MWAWGraphicStyle::setBackgroundColor | ( | MWAWColor const & | col,
|  | float | opacity = `1`
| ) |  |
| inline

set the background color

Referenced by FullWrtStruct::Border::addTo(), HanMacWrdJGraphInternal::FrameFormat::addTo(), HanMacWrdKGraphInternal::TextBox::addTo(), MacWrtProStructuresInternal::Block::fillFrame(), RagTimeParser::readDataZoneHeader(), ClarisWksTable::readTableCells(), HanMacWrdJGraph::sendComment(), ClarisWksGraph::sendGroupChild(), and GreatWksGraph::sendTextbox().

## ◆ setBorders()

void MWAWGraphicStyle::setBorders | ( | int | wh,
|  | MWAWBorder const & | border
| ) |  |

sets the cell border: wh=libmwaw::LeftBit|...

Referenced by MarinerWrtGraphInternal::Token::addPictBorder(), FullWrtStruct::Border::addTo(), HanMacWrdJGraphInternal::FrameFormat::addTo(), HanMacWrdKGraphInternal::TextBox::addTo(), MacWrtProStructuresInternal::Block::fillFrame(), PowerPoint1Parser::readFramesList(), PowerPoint3Parser::readFramesList(), PowerPoint7Graph::readStyle(), resetBorders(), RagTimeParser::send(), MacDrawProParser::send(), HanMacWrdJGraph::sendComment(), BeagleWksSSParser::sendFrame(), BeagleWksBMParser::sendFrame(), BeagleWksParser::sendFrame(), BeagleWksDRParser::sendFrame(), ClarisWksGraph::sendGroupChild(), and RagTimeParser::sendPicture().

## ◆ setPattern()

void MWAWGraphicStyle::setPattern | ( | Pattern const & | pat,
|  | float | opacity = `1`
| ) |  |
| inline

set the pattern

Referenced by RagTimeParser::readDataZoneHeader(), HanMacWrdKGraph::readFrames(), HanMacWrdJGraph::readFrames(), PowerPoint1Parser::readFramesList(), PowerPoint3Parser::readFramesList(), ClarisWksStyleManager::readGraphStyles(), MsWksGraph::readPictHeader(), SuperPaintParser::readShape(), BeagleWksDRParser::readStyle(), PowerPoint7Graph::readStyle(), GreatWksGraph::readStyle(), MacDraftParser::send(), MarinerWrtGraph::sendRule(), FreeHandParserInternal::State::updateFillStyle(), ApplePictParserInternal::State::updateStyle(), MacDraft5StyleManager::updateSurfaceStyle(), RagTime5StyleManager::updateSurfaceStyle(), and ClarisWksStyleManager::updateWallPaper().

## ◆ setShadowColor()

void MWAWGraphicStyle::setShadowColor | ( | MWAWColor const & | col,
|  | float | opacity = `1`
| ) |  |
| inline

set the shadow color

Referenced by FullWrtStruct::Border::addTo(), RagTimeParser::readDataZoneHeader(), PowerPoint1Parser::readFramesList(), PowerPoint3Parser::readFramesList(), CricketDrawParser::readShape(), ClarisDrawGraph::readShape(), PowerPoint7Graph::readStyle(), and MacDrawProParser::send().

## ◆ setSurfaceColor()

void MWAWGraphicStyle::setSurfaceColor | ( | MWAWColor const & | col,
|  | float | opacity = `1`
| ) |  |
| inline

set the surface color

Referenced by BeagleWksSSParser::readChart(), HanMacWrdKGraph::readFrames(), HanMacWrdJGraph::readFrames(), PowerPoint1Parser::readFramesList(), PowerPoint3Parser::readFramesList(), ClarisWksStyleManager::readGraphStyles(), MacDraftParser::readLabel(), MsWksGraph::readPictHeader(), CricketDrawParser::readShape(), SuperPaintParser::readShape(), BeagleWksDRParser::readStyle(), PowerPoint7Graph::readStyle(), MacDraftParser::send(), MacDrawProParser::send(), BeagleWksDRParser::sendPictures(), ClarisDrawGraph::sendShape(), MWAWChart::Series::Series(), FreeHandParserInternal::State::updateFillStyle(), ClarisDrawStyleManager::updateGradient(), ClarisWksStyleManager::updateGradient(), ApplePictParserInternal::State::updateStyle(), MacDraft5StyleManager::updateSurfaceStyle(), RagTime5StyleManager::updateSurfaceStyle(), and ClarisWksStyleManager::updateWallPaper().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | MWAWGraphicStyle const & | st
| ) |  |
| friend

a print operator

## Member Data Documentation

## ◆ m_arrows

Arrow MWAWGraphicStyle::m_arrows[2]

the two arrows corresponding to start and end extremity

Referenced by addTo(), cmp(), MWAWGraphicShape::getBdBox(), HanMacWrdKGraphInternal::ShapeGraph::getStyle(), MsWksGraphInternal::BasicShape::getStyle(), operator<<(), PowerPoint1Parser::readFramesList(), PowerPoint3Parser::readFramesList(), PowerPoint7Graph::readLineArrows(), MacDraftParser::readObject(), MacDraft5Parser::readObject(), MsWksGraph::readPictHeader(), CricketDrawParser::readShape(), BeagleWksDRParser::readShapeDefinitions(), GreatWksGraph::readStyle(), RagTime5Graph::send(), HanMacWrdJGraph::sendGroup(), ClarisWksGraph::sendGroupChild(), HanMacWrdJGraph::sendGroupChild(), ClarisDrawGraph::sendShape(), ClarisWksGraph::sendShape(), HanMacWrdJGraph::sendShapeGraph(), MacDraft5StyleManager::updateArrows(), and GreatWksGraphInternal::FrameShape::updateStyle().

## ◆ m_backgroundColor

MWAWColor MWAWGraphicStyle::m_backgroundColor

the background color

Referenced by addFrameTo(), cmp(), operator<<(), and setBackgroundColor().

## ◆ m_backgroundOpacity

float MWAWGraphicStyle::m_backgroundOpacity

true if the background has some color

Referenced by addFrameTo(), cmp(), hasBackgroundColor(), operator<<(), ClarisWksGraph::sendGroup(), ClarisWksGraph::sendGroupChild(), and setBackgroundColor().

## ◆ m_bordersList

std::vector<MWAWBorder> MWAWGraphicStyle::m_bordersList

the borders MWAWBorder::Pos (for a frame)

Referenced by addFrameTo(), borders(), cmp(), hasBorders(), hasSameBorders(), operator<<(), resetBorders(), and setBorders().

## ◆ m_extra

std::string MWAWGraphicStyle::m_extra

extra data

Referenced by operator<<(), HanMacWrdJGraph::readFrames(), MsWksGraph::readGradient(), ClarisWksStyleManager::readGraphStyles(), and GreatWksGraph::readStyle().

## ◆ m_fillRuleEvenOdd

bool MWAWGraphicStyle::m_fillRuleEvenOdd

true if the fill rule is evenod

Referenced by addTo(), cmp(), and operator<<().

## ◆ m_flip

bool MWAWGraphicStyle::m_flip[2]

two bool to indicated we need to flip the shape or not

Referenced by cmp(), GreatWksGraphInternal::FrameText::getStyle(), MWAWPresentationListener::insertPicture(), MWAWGraphicListener::insertPicture(), MWAWPresentationListener::insertTextBox(), MWAWGraphicListener::insertTextBox(), MWAWGraphicStyle(), operator<<(), BeagleWksDRParser::readShapeDefinitions(), CricketDrawParser::send(), MacDraft5ParserInternal::Shape::transform(), and MacDrawProParser::updateGeometryShape().

## ◆ m_frameName

std::string MWAWGraphicStyle::m_frameName

the frame name

Referenced by ClarisDrawGraphInternal::ZoneZone::addFrameName(), ClarisWksGraphInternal::ZoneZone::addFrameName(), addFrameTo(), HanMacWrdKGraphInternal::TextBox::addTo(), cmp(), operator<<(), MsWksGraph::send(), and HanMacWrdJGraph::sendTextbox().

## ◆ m_frameNextName

std::string MWAWGraphicStyle::m_frameNextName

the frame next name (if there is a link)

Referenced by ClarisDrawGraphInternal::ZoneZone::addFrameName(), ClarisWksGraphInternal::ZoneZone::addFrameName(), HanMacWrdKGraphInternal::TextBox::addTo(), cmp(), MWAWTextListener::insertTextBox(), MWAWSpreadsheetListener::insertTextBox(), operator<<(), MsWksGraph::send(), and HanMacWrdJGraph::sendTextbox().

## ◆ m_gradientAngle

float MWAWGraphicStyle::m_gradientAngle

the gradient angle

Referenced by addTo(), cmp(), operator<<(), PowerPoint3Parser::readFramesList(), MsWksGraph::readGradient(), CricketDrawParser::readShape(), PowerPoint7Graph::readStyle(), GreatWksGraph::readStyle(), ClarisDrawStyleManagerInternal::Gradient::update(), ClarisWksStyleManagerInternal::Gradient::update(), FreeHandParserInternal::State::updateFillStyle(), MacDrawProStyleManager::updateGradient(), and RagTime5StyleManager::updateSurfaceStyle().

## ◆ m_gradientBorder

float MWAWGraphicStyle::m_gradientBorder

the gradient border opacity

Referenced by addTo(), cmp(), and operator<<().

## ◆ m_gradientPercentCenter

MWAWVec2f MWAWGraphicStyle::m_gradientPercentCenter

the gradient center

Referenced by addTo(), cmp(), operator<<(), PowerPoint3Parser::readFramesList(), MsWksGraph::readGradient(), CricketDrawParser::readShape(), PowerPoint7Graph::readStyle(), GreatWksGraph::readStyle(), ClarisDrawStyleManagerInternal::Gradient::update(), ClarisWksStyleManagerInternal::Gradient::update(), MacDrawProStyleManager::updateGradient(), and RagTime5StyleManager::updateSurfaceStyle().

## ◆ m_gradientRadius

float MWAWGraphicStyle::m_gradientRadius

the gradient radius

Referenced by addTo(), cmp(), and operator<<().

## ◆ m_gradientStopList

std::vector<GradientStop> MWAWGraphicStyle::m_gradientStopList

the list of gradient limits

Referenced by addTo(), cmp(), hasGradient(), MWAWGraphicStyle(), operator<<(), PowerPoint3Parser::readFramesList(), MsWksGraph::readGradient(), CricketDrawParser::readShape(), PowerPoint7Graph::readStyle(), GreatWksGraph::readStyle(), ClarisDrawStyleManagerInternal::Gradient::update(), ClarisWksStyleManagerInternal::Gradient::update(), FreeHandParserInternal::State::updateFillStyle(), ClarisDrawStyleManager::updateGradient(), ClarisWksStyleManager::updateGradient(), MacDrawProStyleManager::updateGradient(), and RagTime5StyleManager::updateSurfaceStyle().

## ◆ m_gradientType

GradientType MWAWGraphicStyle::m_gradientType

the gradient type

Referenced by addTo(), cmp(), hasGradient(), operator<<(), PowerPoint3Parser::readFramesList(), MsWksGraph::readGradient(), CricketDrawParser::readShape(), PowerPoint7Graph::readStyle(), GreatWksGraph::readStyle(), ClarisDrawStyleManagerInternal::Gradient::update(), ClarisWksStyleManagerInternal::Gradient::update(), FreeHandParserInternal::State::updateFillStyle(), MacDrawProStyleManager::updateGradient(), and RagTime5StyleManager::updateSurfaceStyle().

## ◆ m_lineCap

LineCap MWAWGraphicStyle::m_lineCap

the line cap

Referenced by addTo(), cmp(), operator<<(), and FreeHandParserInternal::State::updateLineStyle().

## ◆ m_lineColor

MWAWColor MWAWGraphicStyle::m_lineColor

the line color

Referenced by addTo(), HanMacWrdKGraphInternal::TextBox::addTo(), cmp(), ApplePictParser::drawText(), operator<<(), BeagleWksSSParser::readChart(), RagTimeParser::readDataZoneHeader(), HanMacWrdKGraph::readFrames(), HanMacWrdJGraph::readFrames(), PowerPoint1Parser::readFramesList(), PowerPoint3Parser::readFramesList(), ClarisWksStyleManager::readGraphStyles(), MacDraft5Parser::readObject(), MsWksGraph::readPictHeader(), CricketDrawParser::readShape(), SuperPaintParser::readShape(), BeagleWksDRParser::readStyle(), PowerPoint7Graph::readStyle(), GreatWksGraph::readStyle(), ClarisWksTable::readTableCells(), RagTimeParser::send(), HanMacWrdJGraph::sendComment(), MWAWTable::sendExtraLines(), RagTimeParser::sendPicture(), MarinerWrtGraph::sendRule(), ClarisWksTableInternal::TableCell::update(), RagTime5StyleManager::updateBorderStyle(), MacDraft5StyleManager::updateLineStyle(), FreeHandParserInternal::State::updateLineStyle(), and ApplePictParserInternal::State::updateStyle().

## ◆ m_lineDashWidth

std::vector<float> MWAWGraphicStyle::m_lineDashWidth

the dash array: a sequence of (fullsize, emptysize)

Referenced by addTo(), cmp(), operator<<(), PowerPoint3Parser::readFramesList(), MacDraft5Parser::readObject(), CricketDrawParser::readShape(), ClarisDrawGraph::readShape(), PowerPoint7Graph::readStyle(), GreatWksGraph::readStyle(), RagTime5StyleManager::updateBorderStyle(), MacDraft5StyleManager::updateLineStyle(), FreeHandParserInternal::State::updateLineStyle(), and GreatWksGraphInternal::FrameShape::updateStyle().

## ◆ m_lineJoin

LineJoin MWAWGraphicStyle::m_lineJoin

the line join

Referenced by addTo(), cmp(), operator<<(), and FreeHandParserInternal::State::updateLineStyle().

## ◆ m_lineOpacity

float MWAWGraphicStyle::m_lineOpacity

the line opacity: 0=transparent

Referenced by addTo(), cmp(), hasLine(), operator<<(), HanMacWrdKGraph::readFrames(), HanMacWrdJGraph::readFrames(), ClarisWksStyleManager::readGraphStyles(), MacDraft5Parser::readModifier(), GreatWksGraph::readStyle(), RagTime5StyleManager::updateBorderStyle(), and MacDraft5StyleManager::updateLineStyle().

## ◆ m_lineWidth

float MWAWGraphicStyle::m_lineWidth

the linewidth

Referenced by addTo(), HanMacWrdKGraphInternal::TextBox::addTo(), MWAWChart::Axis::Axis(), cmp(), emptyStyle(), MWAWGraphicShape::getBdBox(), GreatWksGraphInternal::FrameText::getStyle(), hasLine(), operator<<(), BeagleWksSSParser::readChart(), RagTimeParser::readDataZoneHeader(), HanMacWrdKGraph::readFrames(), HanMacWrdJGraph::readFrames(), PowerPoint1Parser::readFramesList(), PowerPoint3Parser::readFramesList(), ClarisWksStyleManager::readGraphStyles(), MacDraftParser::readLabel(), MacDraftParser::readObject(), MacDraft5Parser::readObject(), MsWksGraph::readPictHeader(), CricketDrawParser::readShape(), SuperPaintParser::readShape(), BeagleWksDRParser::readStyle(), PowerPoint7Graph::readStyle(), GreatWksGraph::readStyle(), ClarisWksTable::readTableCells(), MsWksGraph::send(), RagTimeParser::send(), MacDrawProParser::send(), RagTime5Graph::send(), MacDraft5Parser::sendBitmap(), MacDrawProParser::sendBitmap(), HanMacWrdJGraph::sendComment(), MWAWTable::sendExtraLines(), MsWksGraph::sendGroup(), MsWksGraph::sendGroupChild(), RagTimeParser::sendPicture(), BeagleWksDRParser::sendPictures(), MarinerWrtGraph::sendRule(), ClarisDrawGraph::sendShape(), MWAWChart::Series::Series(), MWAWChart::TextZone::TextZone(), ClarisWksTableInternal::TableCell::update(), MacDraft5StyleManager::updateArrows(), RagTime5StyleManager::updateBorderStyle(), MacDraft5StyleManager::updateLineStyle(), FreeHandParserInternal::State::updateLineStyle(), and ApplePictParserInternal::State::updateStyle().

## ◆ m_pattern

Pattern MWAWGraphicStyle::m_pattern

the pattern if it exists

Referenced by addTo(), cmp(), hasPattern(), operator<<(), RagTimeParser::readDataZoneHeader(), and setPattern().

## ◆ m_rotate

float MWAWGraphicStyle::m_rotate

the rotation

Referenced by MWAWPresentationListener::_handleFrameParameters(), MWAWGraphicListener::_handleFrameParameters(), cmp(), GreatWksGraphInternal::FrameText::getStyle(), MWAWPresentationListener::insertPicture(), MWAWGraphicListener::insertPicture(), MWAWPresentationListener::insertTextBox(), MWAWGraphicListener::insertTextBox(), operator<<(), RagTimeParser::readDataZoneHeader(), MacDraft5Parser::readObject(), MacDrawProParser::readRotationInObjectData(), BeagleWksDRParser::readStyle(), CricketDrawParser::send(), CricketDrawParser::sendBitmap(), FreeHandParser::sendTextbox(), and MacDraft5ParserInternal::Shape::transform().

## ◆ m_shadowColor

MWAWColor MWAWGraphicStyle::m_shadowColor

the shadow color

Referenced by addFrameTo(), addTo(), cmp(), operator<<(), and setShadowColor().

## ◆ m_shadowOffset

MWAWVec2f MWAWGraphicStyle::m_shadowOffset

the shadow offset

Referenced by addFrameTo(), FullWrtStruct::Border::addTo(), addTo(), cmp(), operator<<(), RagTimeParser::readDataZoneHeader(), PowerPoint1Parser::readFramesList(), PowerPoint3Parser::readFramesList(), CricketDrawParser::readShape(), ClarisDrawGraph::readShape(), PowerPoint7Graph::readStyle(), and MacDrawProParser::send().

## ◆ m_shadowOpacity

float MWAWGraphicStyle::m_shadowOpacity

true if the shadow has some color

Referenced by addFrameTo(), addTo(), cmp(), hasShadow(), operator<<(), and setShadowColor().

## ◆ m_surfaceColor

MWAWColor MWAWGraphicStyle::m_surfaceColor

the surface color

Referenced by addTo(), HanMacWrdKGraphInternal::TextBox::addTo(), cmp(), ClarisDrawGraph::getSurfaceColor(), ClarisWksGraph::getSurfaceColor(), operator<<(), MsWksGraph::readPictHeader(), ClarisWksDbaseContent::readRecordSS(), GreatWksGraph::readStyle(), ClarisWksTable::readTableCells(), HanMacWrdJGraph::sendComment(), GreatWksGraph::sendTextbox(), setSurfaceColor(), and MsWksTableInternal::Table::Table().

## ◆ m_surfaceOpacity

float MWAWGraphicStyle::m_surfaceOpacity

true if the surface has some color

Referenced by addTo(), cmp(), hasPattern(), hasSurfaceColor(), operator<<(), HanMacWrdKGraph::readFrames(), HanMacWrdJGraph::readFrames(), ClarisWksStyleManager::readGraphStyles(), MacDraft5Parser::readModifier(), MacDraftParser::readObject(), MacDraft5Parser::readObject(), GreatWksGraph::readStyle(), setPattern(), setSurfaceColor(), and MacDraft5StyleManager::updateSurfaceStyle().

The documentation for this class was generated from the following files:

- MWAWGraphicStyle.hxx
- MWAWGraphicStyle.cxx